function [attr] = get_modulation_order(modname)

modname = get_modname_alias(modname);

mmod2order = containers.Map;

mmod2order('BPSK') = 2;
mmod2order('QPSK') = 4;
mmod2order('8PSK') = 8;
mmod2order('16PSK') = 16;
mmod2order('32PSK') = 32;

mmod2order('QAM8') = 8;
mmod2order('QAM16') = 16;
mmod2order('QAM32') = 32;
mmod2order('QAM64') = 64;
mmod2order('QAM128') = 128;
mmod2order('QAM256') = 256;

mmod2order('PAM4') = 4;

mmod2order('GFSK') = 2;

mmod2order('CPFSK') = 2;

attr = mmod2order(char(modname));